> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/wallets-management/get-wallet-statements.md).

# Get Wallet Statements

The Wallet Statement API is utilized to retrieve the pertinent transactions made in the Wallet. The API fetches transactions within the specified date range and provides the Wallet balance.

<mark style="color:blue;">**`GET`**</mark> /payments/wallets/{id}/statement

**Body Parameters Request**

| Name  | location      | Type    | Format / Values | Description                             | Required |
| ----- | ------------- | ------- | --------------- | --------------------------------------- | -------- |
| id    | url path      | string  |                 | Wallet ID for statements for retrieval. | Yes      |
| start | url parameter | string  | date-time       |                                         |          |
| end   | url parameter | string  | date-time       |                                         |          |
| skip  | url parameter | integer |                 | number of items to skip in result set   |          |
| take  | url parameter | integer |                 | max items to return in result set       |          |

**Body Parameters Response**

| Path                                                | Type    | Format / Values | Description                                                                          |
| --------------------------------------------------- | ------- | --------------- | ------------------------------------------------------------------------------------ |
| type                                                | string  | wallet          |                                                                                      |
| id                                                  | string  |                 |                                                                                      |
| start\_date                                         | string  | date-time       |                                                                                      |
| end\_date                                           | string  | date-time       |                                                                                      |
| items                                               | array   | object          |                                                                                      |
| items\[]                                            | object  |                 |                                                                                      |
| items\[].type                                       | string  |                 |                                                                                      |
| items\[].id                                         | string  |                 |                                                                                      |
| items\[].description                                | string  |                 |                                                                                      |
| items\[].execution\_id                              | string  |                 | the payment execution id                                                             |
| items\[].date                                       | string  | date-time       |                                                                                      |
| items\[].action                                     | string  | CREDIT, DEBIT   |                                                                                      |
| items\[].debit                                      | object  |                 | Amount debited from source                                                           |
| items\[].debit.amount                               | number  |                 |                                                                                      |
| items\[].debit.currency                             | string  |                 |                                                                                      |
| items\[].credit                                     | object  |                 | amount credited to target                                                            |
| items\[].credit.amount                              | number  |                 |                                                                                      |
| items\[].credit.currency                            | string  |                 |                                                                                      |
| items\[].fees                                       | number  |                 | total fees included                                                                  |
| items\[].rate                                       | number  |                 | fx rate used for conversion                                                          |
| items\[].balance                                    | number  |                 | walllet balance after transaction was completed                                      |
| items\[].counterpart                                | object  |                 | depending on the #action property contains info on the other party (sender/receiver) |
| items\[].counterpart.id                             | string  |                 |                                                                                      |
| items\[].counterpart.currency                       | string  |                 |                                                                                      |
| items\[].counterpart.bank\_details                  | object  |                 |                                                                                      |
| items\[].counterpart.bank\_details.account\_country | string  |                 |                                                                                      |
| items\[].counterpart.bank\_details.account\_name    | string  |                 |                                                                                      |
| items\[].counterpart.entity                         | object  |                 |                                                                                      |
| items\[].counterpart.active                         | boolean |                 |                                                                                      |
| items\[].counterpart.name                           | string  |                 |                                                                                      |
| items\[].counterpart.user\_tags                     | object  |                 |                                                                                      |
| items\[].user\_tags                                 | object  |                 |                                                                                      |
| items\[].tags                                       | object  |                 |                                                                                      |
| paging                                              | object  |                 |                                                                                      |
| paging.skip                                         | integer |                 | number of items to skip in result set                                                |
| paging.take                                         | integer |                 | max items to return in result set                                                    |

**Request Example**

```
GET /payments/wallets/f6b2776d-53f4-404e-a690-c3766a91d43a/statement?start=2023-02-28&take=1
```

**Response**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "type": "wallet",
   "id": "f6b2776d-53f4-404e-a690-c3766a91d43a",
   "start_date": "2023-02-28T00:00:00.000Z",
   "end_date": "2024-02-29T09:33:21.689Z",
   "items": [
      {
         "type": "payment",
         "id": "edde16fb-c485-474b-a467-fe2190d7372a",
         "description": "INCOMING MONEY XFR",
         "date": "2024-02-29T09:10:06.066Z",
         "action": "CREDIT",
         "debit": {
            "amount": 120000,
            "currency": "USD"
         },
         "credit": {
            "amount": 120000,
            "currency": "USD"
         },
         "fees": 0,
         "balance": 120000,
         "counterpart": {
            "currency": "USD",
            "id": "UKNWBK60161529100024",
            "type": "funding_method",
            "owner": "entity://business/customer/demo:standalone:1709197789/legal/0d65c5cd-4896-45b9-b268-c431b82605af"
         },
         "user_tags": {},
         "tags": {
            "external_swift": "CHASGB2L",
            "external_bank_ref": "3052935"
         }
      }
   ],
   "paging": {
      "skip": 0,
      "take": 1
   }
}
```

{% endtab %}

{% tab title="400 - Bad Request" %}

```json
{
   "error": "bad_request",
   "description": "Validation errors: {\"org_id\":\"202000\",\"start_date\":\"2024-02-04T08:41:18.080Z... at root failed with \"Missing property id\"",
   "error_code": 400
}
```

{% endtab %}
{% endtabs %}
